List product types in schema
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/schemas/{id}/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/schemas/{id}/types");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/schemas/{id}/types")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": "<string>",
"schemaId": "<string>",
"code": "<string>",
"labels": {},
"descriptions": {},
"defaultTraitIds": [
"<string>"
],
"parentCode": "<string>",
"level": 123,
"sortOrder": 123
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Product Catalog
List product types in schema
GET
/
api
/
v1
/
public
/
schemas
/
{id}
/
types
List product types in schema
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.facetflux.com/api/v1/public/schemas/{id}/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://app.facetflux.com/api/v1/public/schemas/{id}/types");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://app.facetflux.com/api/v1/public/schemas/{id}/types")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": "<string>",
"schemaId": "<string>",
"code": "<string>",
"labels": {},
"descriptions": {},
"defaultTraitIds": [
"<string>"
],
"parentCode": "<string>",
"level": 123,
"sortOrder": 123
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Your FacetFlux API key, minted under Settings → API keys.
Path Parameters
⌘I